curl --request GET \
--url https://api.komerza.com/stores/{storeId}/categories/all \
--header 'Authorization: Bearer <token>'{
"success": true,
"message": "<string>",
"code": "<string>",
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dateCreated": "2023-11-07T05:31:56Z",
"name": "<string>",
"visibility": 0,
"order": 123,
"storeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"productCount": 123,
"products": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"slug": "<string>"
}
]
}Retrieves all categories in the store as references (no pagination).
Requires the stores.categories.view permission.
curl --request GET \
--url https://api.komerza.com/stores/{storeId}/categories/all \
--header 'Authorization: Bearer <token>'{
"success": true,
"message": "<string>",
"code": "<string>",
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dateCreated": "2023-11-07T05:31:56Z",
"name": "<string>",
"visibility": 0,
"order": 123,
"storeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"productCount": 123,
"products": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"slug": "<string>"
}
]
}Your API key goes here
The ID of the store to get the categories from
The object was successfully returned.
Represents a default generic response for API endpoints.
Indicates whether the operation or response was successful.
A descriptive message providing additional context or information about the response.
The error code (if there was an error) to use when referencing the error
Represents the data associated with a response.
Show child attributes
Was this page helpful?